rem -------------------------------------------------
rem BATCH DOWNLOAD SCRIPT
rem A possible use of download.exe
rem Written by Nol DANJOU <http://noeld.com/>
rem -------------------------------------------------

@echo off
cls

rem Jump to the actual beginning of the code...
goto EntryPoint

rem -------------------------------------------------
rem DOWNLOAD Sub
rem -------------------------------------------------

:Download

rem Reset the counter.
set count=

echo.
echo Downloading %vpath%%filename%...

:Retry

rem Attempt to download the file.
download %vpath%%filename% /output:%lpath% /delete

echo Return code: %errorlevel%

if errorlevel 3 goto Failed
if errorlevel 2 goto DoWait
if errorlevel 1 goto Failed
if errorlevel 0 goto Done

:DoWait

rem Increment the counter.
set count=%count%*

if "%count%" == "*****" goto Failed

rem Wait a few seconds before next attempt.
wait %delay%

goto Retry

:Failed
echo Unable to download the file.
goto EndSub

:Done

echo %lpath%%filename% file created...

:EndSub

rem Go back to the main script.
goto %Label%

echo Error: invalid label or "Label" not set.
goto EndGlobal

rem -------------------------------------------------
rem DOWNLOAD EndSub
rem -------------------------------------------------

rem -------------------------------------------------
rem MAIN Begin
rem -------------------------------------------------

@echo off

:EntryPoint

rem **** Paths and delay ****

rem Virtual path on the Web server.
set vpath=http://www.yourdomain.com/download/

rem Local path where files are downloaded.
set lpath=%TEMP%\

rem Delay between attempts in seconds.
set delay=5

rem **** First file to download ****

:File1
set filename=document1.zip
set Label=File2
goto Download

rem **** Second file to download ****

:File2
set filename=document2.zip
set Label=EndGlobal
goto Download

rem **** Done ****

:EndGlobal

rem Cleanup
set Label=
set vpath=
set lpath=
set filename=
set count=

rem -------------------------------------------------
rem MAIN End
rem -------------------------------------------------
